6.0.0-git
2019-07-18

[#6966] In lib/Driver/sql.php:listEvents (doesn't list future events in some context)
Summary In lib/Driver/sql.php:listEvents (doesn't list future events in some context)
Queue Kronolith
Queue Version 2.2
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester sebastien.barre (at) univ-paris-diderot (dot) fr
Created 2008-06-23 (4042 days ago)
Due
Updated 2008-07-13 (4022 days ago)
Assigned 2008-07-07 (4028 days ago)
Resolved 2008-07-13 (4022 days ago)
Milestone 2.2.1
Patch No

History
2008-07-13 09:17:47 Jan Schneider State ⇒ Resolved
 
2008-07-07 19:04:11 Jan Schneider Comment #6
Taken from Horde DevelopersHorde Developers
State ⇒ Feedback
Reply to this comment
Please try what I committed.
2008-07-06 17:27:37 Jan Schneider Milestone ⇒ 2.2.1
 
2008-06-26 10:48:37 Jan Schneider Comment #4
Assigned to Jan Schneider
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
Probably the same like bug #6847.
2008-06-26 10:45:24 Jan Schneider Deleted Original Message
 
2008-06-23 14:36:43 sebastien (dot) barre (at) univ-paris-diderot (dot) fr Comment #3
New Attachment: sql.php.2.patch Download
Reply to this comment
Couldn't attach a patch with the same name, or mistake ?

Here is the file.
2008-06-23 14:34:15 sebastien (dot) barre (at) univ-paris-diderot (dot) fr Comment #2 Reply to this comment
I attached a kind of patch, but I don't know if it's the best solution.
Especially when it's wrong... here is something that works.
2008-06-23 13:48:40 sebastien (dot) barre (at) univ-paris-diderot (dot) fr Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ In lib/Driver/sql.php:listEvents (doesn't list future events in some context)
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ Yes
New Attachment: sql.php.patch
Reply to this comment
When doing a refresh-from-server sync with SyncML, we didn't get 
future events.



I traced it back to a missing check in kronolith/lib/Driver/sql.php on 
line 227 (rev 1.204)

Sometime $endDate is already set to 31/12/9999, so when 
Date_Calc::nextDay is called

the resulting date is today. (It's not valid then reset to dateNow by 
Date_Calc::dateFormat).



For example, kronolith/lib/api.php:658 (rev 1.230) sets $endstamp to 
31/12/9999



I attached a kind of patch, but I don't know if it's the best solution.

Saved Queries